Runtime

## org.eclipse.gmf.runtime.diagram.ui.editpolicies
Class ResizableShapeEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gef.editpolicies.GraphicalEditPolicy
              org.eclipse.gef.editpolicies.SelectionEditPolicy
                  org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
                      org.eclipse.gef.editpolicies.NonResizableEditPolicy
                          org.eclipse.gef.editpolicies.ResizableEditPolicy
                              org.eclipse.gmf.runtime.diagram.ui.editpolicies.ResizableEditPolicyEx
                                  org.eclipse.gmf.runtime.diagram.ui.editpolicies.ResizableShapeEditPolicy

All Implemented Interfaces:
  EditPolicy, IAdaptable, RequestConstants

Direct Known Subclasses:
  ResizableShapeLabelEditPolicy, RotatableShapeEditPolicy, UnmovableShapeEditPolicy

public class ResizableShapeEditPolicy
extends ResizableEditPolicyEx

A resizable editpolicy for resizable shape editparts 1- It customizes the selection handles 2- It handles the autosize and deferred change bounds request

Field Summary

Fields inherited from class org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
`handles`

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`ResizableShapeEditPolicy()`

Method Summary
`protected IFigure` `createDragSourceFeedbackFigure()` Creates the figure used for feedback.
`java.lang.Object` `getAdapter(java.lang.Class key)` Override for AccessibleHandleProvider when deactivated https://bugs.eclipse.org/bugs/show_bug.cgi?
`protected Command` `getAutoSizeCommand(Request request)` Cfreates a new AutoSize comamnd
`Command` `getCommand(Request request)`
`protected Command` `getMoveDeferredCommand(org.eclipse.gmf.runtime.diagram.ui.internal.requests.ChangeBoundsDeferredRequest request)` Method getMoveDeferredCommand.
`boolean` `understandsRequest(Request request)`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editpolicies.ResizableEditPolicyEx
`addSelectionHandles, eraseSourceFeedback, getTargetEditPart, replaceHandleDragEditPartsTracker, showChangeBoundsFeedback, showSourceFeedback`

Methods inherited from class org.eclipse.gef.editpolicies.ResizableEditPolicy
`createSelectionHandles, getResizeCommand, getResizeDirections, setResizeDirections`

Methods inherited from class org.eclipse.gef.editpolicies.NonResizableEditPolicy
`deactivate, eraseChangeBoundsFeedback, getAlignCommand, getDragSourceFeedbackFigure, getInitialFeedbackBounds, getMoveCommand, getOrphanCommand, hideFocus, isDragAllowed, setDragAllowed, showFocus`

Methods inherited from class org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
`hideSelection, removeSelectionHandles, showSelection`

Methods inherited from class org.eclipse.gef.editpolicies.SelectionEditPolicy
`activate, addSelectionListener, removeSelectionListener, setFocus, setSelectedState, showPrimarySelection`

Methods inherited from class org.eclipse.gef.editpolicies.GraphicalEditPolicy
`addFeedback, getFeedbackLayer, getHostFigure, getLayer, removeFeedback`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`debugFeedback, eraseTargetFeedback, getHost, setHost, showTargetFeedback, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResizableShapeEditPolicy

    public ResizableShapeEditPolicy()

Method Detail

### getAutoSizeCommand

    protected Command getAutoSizeCommand(Request request)

  Cfreates a new AutoSize comamnd

  Parameters:
    `request` -
  Returns:
    command

### getMoveDeferredCommand

    protected Command getMoveDeferredCommand(org.eclipse.gmf.runtime.diagram.ui.internal.requests.ChangeBoundsDeferredRequest request)

  Method getMoveDeferredCommand.

  Parameters:
    `request` -
  Returns:
    Command

### getCommand

    public Command getCommand(Request request)

### understandsRequest

    public boolean understandsRequest(Request request)

### createDragSourceFeedbackFigure

    protected IFigure createDragSourceFeedbackFigure()

  Creates the figure used for feedback.

  Returns:
    the new feedback figure

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class key)

  Override for AccessibleHandleProvider when deactivated https://bugs.eclipse.org/bugs/show_bug.cgi?id=69316

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.